当安装、卸载件包时,出现依赖问题 error: Faile

error: Failed dependencies:……

依赖关系非常复杂,当你试图先安装任何一个包时都会出现这样的依赖关系错误,这时候你就应该强制安装了,我认为只要你把服务或软件需要的包都装上,强制安装也不会出问题的,不会有什么影响。

金沙官网线上,非常简单,只要加上一个--force (强制) 和--nodeps(不查找依赖关系)就可以了

如:rpm -vih httpd-2.2.3-6.el5.i386.rpm --force --nodeps

 

卸载时就不用--force了,只要加入--nodeps就ok了

本文由金沙官网线上发布于操作系统,转载请注明出处:当安装、卸载件包时,出现依赖问题 error: Faile

您可能还会对下面的文章感兴趣: